@ECHO OFF
REM Edit SDK_BASE_DIRECTORY below with the path to the MicroSoft Platform SDK

set SDK_BASE_DIRECTORY=C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin
set SDK_BUILD_OPTIONS="/x86"

REM ----------------------------------------------------------------------------------------

IF EXIST "%SDK_BASE_DIRECTORY%" Goto SDKPathOK

echo ERROR: Windows SDK directory %SDK_BASE_DIRECTORY% does not exist
Goto End
:SDKPathOK

IF EXIST "%SDK_BASE_DIRECTORY%\SetEnv.Cmd" Goto SDKEnvCmdExist

echo ERROR: DDK Environment batch file %SDK_BASE_DIRECTORY%\SetEnv.Cmd does not exist
Goto End
:SDKEnvCmdExist

Call "%SDK_BASE_DIRECTORY%\SetEnv.Cmd" %SDK_BUILD_OPTIONS%

nmake

:End

PAUSE